<?php

/**
 * Recent at Top
 *
 * @name      Recent at Top
 * @copyright Recent at Top contributors
 * @license   BSD http://opensource.org/licenses/BSD-3-Clause
 *
 * @version 0.0.1
 *
 */

class Recent_At_Top_Integrate
{
	public static function action_boardindex_after()
	{
		global $context;

		loadTemplate('RecentAtTop');
		Template_Layers::getInstance()->addBefore('recent_at_top', 'boardindex_outer');

		if (!isset($context['topinfo_center_callbacks']))
			$context['topinfo_center_callbacks'] = array();
		if (in_array('recent_posts', $context['info_center_callbacks']))
		{
			$key = array_search('recent_posts', $context['info_center_callbacks']);
			unset($context['info_center_callbacks'][$key]);

			$context['topinfo_center_callbacks'][] = 'recent_posts';
		}
	}
}