<?php

/**
 * Recent at Top
 *
 * @name      Recent at Top
 * @copyright Recent at Top contributors
 * @license   BSD http://opensource.org/licenses/BSD-3-Clause
 *
 * @version 0.0.1
 *
 */

function template_recent_at_top_above()
{
	global $context, $txt;

	// Here's where the "Info Center" starts...
	echo '
	<div id="info_center_top" class="forum_category">
		<h2 class="category_header">
			<span id="category_toggle">&nbsp;
				<span id="upshrink_ict" class="', empty($context['minmax_preferences']['infot']) ? 'collapse' : 'expand', '" style="display: none;" title="', $txt['hide'], '"></span>
			</span>
			<a href="#" id="upshrink_link_top">', sprintf($txt['recent_posts'], $context['forum_name_html_safe']), '</a>
		</h2>
		<ul id="upshrinkHeaderICT" class="category_boards"', empty($context['minmax_preferences']['infot']) ? '' : ' style="display: none;"', '>';

	call_template_callbacks('ic', $context['topinfo_center_callbacks']);

	echo '
		</ul>
	</div>';

	// Info center collapse object.
	echo '
	<script><!-- // --><![CDATA[
		var oInfoCenterToggle = new elk_Toggle({
			bToggleEnabled: true,
			bCurrentlyCollapsed: ', empty($context['minmax_preferences']['infot']) ? 'false' : 'true', ',
			aSwappableContainers: [
				\'upshrinkHeaderICT\'
			],
			aSwapClasses: [
				{
					sId: \'upshrink_ict\',
					classExpanded: \'collapse\',
					titleExpanded: ', JavaScriptEscape($txt['hide']), ',
					classCollapsed: \'expand\',
					titleCollapsed: ', JavaScriptEscape($txt['show']), '
				}
			],
			aSwapLinks: [
				{
					sId: \'upshrink_link_top\',
					msgExpanded: ', JavaScriptEscape($txt['recent_posts']), ',
					msgCollapsed: ', JavaScriptEscape($txt['recent_posts']), '
				}
			],
			oThemeOptions: {
				bUseThemeSettings: ', $context['user']['is_guest'] ? 'false' : 'true', ',
				sOptionName: \'minmax_preferences\',
				sSessionId: elk_session_id,
				sSessionVar: elk_session_var,
				sAdditionalVars: \';minmax_key=infot\'
			},
			oCookieOptions: {
				bUseCookie: ', $context['user']['is_guest'] ? 'true' : 'false', ',
				sCookieName: \'upshrinkIC\'
			}
		});
	// ]]></script>';
}
